PHP Manual
Prev |  | Next

# http_request

(no version information, might be only in CVS)

http_request -- Perform custom request

## Description

string http_request ( int method [, string url [, string body [, array options [, array &info]]]] )

Performs a custom HTTP request on the supplied url.

See the full list of request options.

## Parameters

`method`

  Request method

`url`

  URL

`body`

  Request body

`options`

  request options

`info`

  Request/response information

## Return Values

Returns the HTTP response(s) as string on success, or FALSE on failure.

Prev | Home | Next
http_request_method_unregister | Up | http_request_body_encode